Bug 1015 - be_BY@tarask: new locale
Summary: be_BY@tarask: new locale
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 enhancement
Target Milestone: ---
Assignee: GNU C Library Locale Maintainers
: 4020 7014 (view as bug list)
Depends on:
Reported: 2005-06-16 15:11 UTC by Alexander Mikhailian
Modified: 2016-02-19 07:07 UTC (History)
5 users (show)

See Also:
Last reconfirmed:

be_BY@classic belarusian locale (1.03 KB, text/plain)
2005-06-22 00:27 UTC, Alexander Mikhailian
be_BY@tarask locale definition for glibc (1.02 KB, text/plain)
2010-01-17 17:11 UTC, Hleb Valoshka

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Mikhailian 2005-06-16 15:11:28 UTC
I am listed as a contributor for the be_BY locale

We had a heated discussion almost 1 year ago on the belarusian i18n mailing list
<i18n@mova.org> around belarusian locales.

Many belarusian translators for FOSS software are on the list and we invited
Bruno Haible to help us on the topic.

Upon the discussion results, I suggest introducing a new locale named
be_BY@classic for the Belarusian classic writing which is the only productive
(in the linguistic sense) writing in Belarus nowadays.

This matches the advice of Bruno. Whoever will commit this change should contact
him if more details are required. Petter Reinholdtsen has also been included in
the dicussion but fell off pretty quickily.

Below comes the contents of the locale definition:

comment_char %
escape_char  /
% Belarusian Language Locale for Belarus
% Contact: Alexander Mikhailian
% Email: mikhailian@altern.org
% Language: be
% Territory: BY
% Revision: 0.5
% Date: 2004-08-24
% Application: general
% Users: general
% Repertoiremap: mnemonic.ds
% Charset: CP1251, UTF-8
% Distribution and use is free, also
% for commercial purposes.

title      "Belarusian locale for Belarus, traditional spelling"
source     "Belarusian i18n mailing list"
address    "i18n@mova.org"
contact    "Alexander Mikhailian"
email      "mikhailian@altern.org"
tel        "+32 494 60 91 31"
fax        ""
language   "Belarusian"
territory  "Belarus"
revision   "1.0"
date       "2000-06-29"
audience   ""
application ""
abbreviation "taraskievica"
category  "be_BY:2000";LC_IDENTIFICATION
category  "be_BY:2000";LC_CTYPE
category  "be_BY:2000";LC_COLLATE
category  "be_BY:2000";LC_TIME
category  "be_BY:2000";LC_NUMERIC
category  "be_BY:2000";LC_MONETARY
category  "be_BY:2000";LC_MESSAGES
category  "be_BY:2000";LC_PAPER
category  "be_BY:2000";LC_TELEPHONE
category  "be_BY:2000";LC_MEASUREMENT
category  "be_BY:2000";LC_NAME
category  "be_BY:2000";LC_ADDRESS


copy "iso14651_t1"

% iso14651_t1 is missing Ukrainian ghe
collating-symbol <UKR-GHE>

reorder-after <CYR-GZHE>

reorder-after <U0453>

reorder-after <U0403>


copy "i18n"

yesexpr "<U005E><U005B><U0414><U0434><U0059><U0079><U005D><U002E><U002A>"
noexpr  "<U005E><U005B><U041D><U043D><U004E><U006E><U005D><U002E><U002A>"

int_curr_symbol           "<U0042><U0059><U0052><U0020>"
currency_symbol           "<U0440><U0443><U0431>"
mon_decimal_point         "<U002E>"
mon_thousands_sep         "<U0020>"
mon_grouping              3;3
positive_sign             ""
negative_sign             "<U002D>"
int_frac_digits           2
frac_digits               2
p_cs_precedes             0
p_sep_by_space            1
n_cs_precedes             0
n_sep_by_space            1
p_sign_posn               1
n_sign_posn               1

decimal_point             "<U002C>"
thousands_sep             "<U002E>"
grouping                  3;3

day     "<U041D><U044F><U0434><U0437><U0435><U043B><U044F>";/
abday   "<U041D><U044F><U0434>";/
first_weekday 2
first_workday 2
mon     "<U0421><U0442><U0443><U0434><U0437><U0435><U043D><U044C>";/
abmon   "<U0421><U0442><U0434>";/
d_t_fmt "<U0025><U0061><U0020><U0025><U0064><U0020><U0025><U0062>/
d_fmt   "<U0025><U0064><U002E><U0025><U006D><U002E><U0025><U0059>"
t_fmt   "<U0025><U0054>"
am_pm   "";""
t_fmt_ampm  ""
date_fmt    "<U0025><U0061><U0020><U0025><U0062><U0020><U0025><U0065>/

height   297
width    210

tel_int_fmt    "<U002B><U0025><U0063><U0020><U0025><U0061><U0020><U0025>/
int_prefix     "<U0033><U0037><U0035>"
int_select     "<U0038><U007E><U0031><U0030>"

measurement    1

name_mr     "<U0441><U043F><U0430><U0434><U0430><U0440>"
name_ms     "<U0441><U043F><U0430><U0434><U0430><U0440><U044B><U043D><U044F>"
name_mrs    "<U0441><U043F><U0430><U0434><U0430><U0440><U044B><U043D><U044F>"
name_miss   ""
name_gen    ""
name_fmt    "<U0025><U0064><U0025><U0074><U0025><U0067><U0025><U0074>/

postal_fmt  "<U0025><U0066><U0025><U004E><U0025><U0061><U0025><U004E>/
country_name "<U0411><U0435><U043B><U0430><U0440><U0443><U0441><U044C>"
country_post ""
country_car "<U0042><U0059>"
country_ab2 "<U0042><U0059>"
country_ab3 "<U0042><U004C><U0052>"
country_num 112
country_isbn 5
lang_name   "<U0411><U0435><U043B><U0430><U0440><U0443><U0441><U043A>/
Comment 1 Denis Barbier 2005-06-16 20:49:24 UTC
Alexander, you should consider replacing LC_* sections by
  copy "be_BY"
when they are identical to be_BY (i.e. all except LC_TIME,
from what I've seen, and of course LC_IDENTIFICATION),
this would help future maintenance of your locale files.
Comment 2 Alexander Mikhailian 2005-06-22 00:27:23 UTC
Created attachment 529 [details]
be_BY@classic belarusian locale

OK, here comes the modified version. Sorry for the delay.
Comment 3 Yury Tarasievich 2005-07-12 09:20:46 UTC
I think, word "classic" here would be misleading.

This qualifier of the aforementioned orthography is self-awarded and is inaccurate by any definition, as both qualifier 
and orthography aren't used or recognized as such by anybody excepting rather minor minority.

I'd suggest naming this be_BY@alternative. This would be 100% accurate per all definitions of "classic" and 
"alternative", pertain accurately to the goals of the mentioned minority movement, and there's a precedent of the 
usage of the term "alternative" in this part of the world (DOS Cyrillic codepages in late 1980-s).

Also, you won't have a problem with multitude of "alternatives" as there seems to exist now some kind of standard 
on this alternative.

Yes, I was participating in aforementioned discussion and No, I won't re-start the discussion *here*, unless asked 
for further explanations. However, feel free to contact me privately via e-mail, if needed or interested.
Comment 4 Wad V Mashckoff 2005-08-03 13:26:00 UTC
Belarusian locale is very necessary!

+1 !
Comment 5 Kirill A. Shutemov 2005-08-03 13:30:52 UTC
> I think, word "classic" here would be misleading.
See to linguistic literature - http://www.knihi.net/index.php?productID=224
"classic" is name of the spelling.
Comment 6 Aliaksei 2005-08-03 13:55:16 UTC
We need Belarusian locale
Comment 7 Yury Tarasievich 2005-08-04 09:35:22 UTC
I didn't make myself clear, then. This isn't about linguistics at all.

In Belarusian language community, there exists certain interest group, promoting use of several (long obsoleted) 
orthography rules. This group calls their variant of Belarusian orthography "classic".
Alexander Mikhailian proposes creating additional be_BY@... branch, which would assert usage of the mentioned 
orthography variant. And that's perfectly okay! Just the qualifier isn't chosen well.
I wouldn't put "classic" but rather, e.g., "alternative" there because:

The term "classic", by every definition, is something well-recognized, widely or traditionally used.
However, virtually nobody in Belarusian community outside of the interest group (which isn't numerous and/or 
popular!) recognizes the mentioned variant as "classic", neither by knowing or referring the name, nor by usage 
tradition -- as the variant's key orthography features were obsoleted about 70 years ago!
Even the group-promoted usage of name "classic" started, it seems, between 1992 and 1994 (judging by two big 
publications on Belarusian orthography by one of the group leaders).

On the other hand, term "alternative" here would be immediately recognizable, both by popular understanding and 
by group self-imaging.

P.S. The book Kirill A. Shutemov pointed me to contains one of the editions of the mentioned orthography variant, 
published by the interest group, supervised, even authored, it seems, by one of the interest group leaders. 
Comment 8 Ulrich Drepper 2005-10-14 18:05:17 UTC
I really have no interest to get in the middle of all this.  The extension
@classic seems indeed to be wrong to me from what I read.  And there is already
a Belarusian locale.

Unless this second language variant is the official one (which I doubt it is) it
is best to just collect a tarball with all the appropriate files and distribute
it separately.  There is nothing a separately distribute locale source file
cannot do if it is compiled using localedef upon installation.

Adding variants like this (as opposed to Latin vs Cyrillic, for instance) would
mean we open ourselves to all kind of fights like this.

So, unless I get some really convincing arguments I'll close this as WONTFIX.
Comment 9 Yury Tarasievich 2005-10-18 08:25:10 UTC
(In reply to comment #8)
> So, unless I get some really convincing arguments I'll close this as WONTFIX.

If nothing else comes up, I'm supporting this as it goes.
Comment 10 Siarhej Shupa 2005-12-08 13:45:31 UTC
Yury Tarasievich says:

"I think, word "classic" here would be misleading. This qualifier of the 
aforementioned orthography is self-awarded and is inaccurate by any definition, 
as both qualifier and orthography aren't used or recognized as such by anybody 
excepting rather minor minority."

I wouldn't like to start the old discussion with Mr Tarasevich who has some 
unexplained repugnance for that other orthography and has been the only one to 
fight it vehemently in all relevant net discussions.

However, I want to draw your attention to an inaccuracy in his comment - upon 
which all his argumentation is built:

Those who follow that "other" orthography are in slight MAJORITY (not in minor 
minority) on the Net. You can easily prove it - just google any pair of words 
spelled differently in the two orthographies.

Comment 11 Yury Tarasievich 2005-12-13 23:09:09 UTC
Let me re-iterate (and bring this back to topic):

I am, generally, *in* *favour* of this separation of locales.

The way I see it, if folks want their very own sub-locale, then okay and good riddance.
There's already latin-scripted sub-locale approved, created, I hear, for the userbase that is yet to 
emerge one day. So why not one extra?

But then, the initially proposed "classic" qualifier is inappropriate and unmerited, either measured by 
popular support or by usage tradition.
And google hits aren't relevant at all to this exact question of being or not being classic.
Other things, and quite material at that, are.

Be it noticed, I do *not* accept even the general quality of Mr.Shupa's expoundations. 
But that kind of discussion would be well out of scope of this issue.

Comment 12 Viktar Siarheichyk 2005-12-14 08:35:04 UTC
If the word 'classic' is controversial point then let name it e.g.
'alternative'. Do not let our puristic discussions lead us to nothing. But we
need the locale.
Comment 13 Yury Tarasievich 2005-12-26 12:24:56 UTC
Just for the record: I've nothing against naming this branch "alternative".

Comment 14 booxter 2006-11-09 11:47:00 UTC
So what's the result?
Maybe, it's time to register be_BY@alternative and to move/copy the existing
*.po files of GNOME/coreutils etc. into this "namespace"?

Also we should change the be_BY locale for the norms of standard Belarusian I think.
Comment 15 booxter 2006-11-13 10:41:28 UTC
BTW, the Debian be-locale-data supports the be_BY@alternative extension quite a
lot. Please, make this extension upstream.
Comment 16 booxter 2007-12-19 21:02:19 UTC
IANA authorities has already approved the official name of alternative
Belarusian orthography variant: be-tarask
Here is the link: http://www.iana.org/assignments/language-subtag-registry
Can we register this locale then?
Comment 17 Hleb Valoshka 2008-05-17 05:32:38 UTC
we really need additional belarusian locale (be@tarask as aproved by IANA). Just
because the most of translations made for be@tarask, not for be, and you can't
ignore this fact
Comment 18 booxter 2009-10-23 20:29:30 UTC
Dear Ulrich: Is there any chance we can get the bug fixed in glibc?
Comment 19 Yauhen Kharuzhy 2009-10-23 20:42:19 UTC
We want to use alternative Belarusian locale in our project (openinkpot.org),
but we don't want to create yet another (216th) patch for glibc.
Comment 20 Hleb Valoshka 2010-01-17 17:11:50 UTC
Created attachment 4525 [details]
be_BY@tarask locale definition for glibc

it's a be_BY@tarask locale definition for glibc. please, accept it at last.
Comment 21 Petr Baudis 2010-11-06 12:46:22 UTC
I believe Ulrich's aim is to avoid all kinds of fringe variations plaguing glibc locale database. If only small minority uses be_BY@tarask, it should be distributed separately. If only small minority would use current be_BY, be_BY@tarask maybe should just be entered as be_BY. If there is rough equilibrium between the two groups (which you seem to indicate), I would say there is a value in having this. (The only real argument in this bug seemed to be about the naming, which seems to have been resolved in the IANA scope.)

Can you somehow show that the equilibrium is the case? E.g. are there (pre-existing) Wikipedia articles about this, other notable sources (e.g. major newspaper articles) or such?
Comment 22 booxter 2010-11-06 13:15:25 UTC
Ok, let me show you that this language variant is quite strong to have its own locale.

1. There are 2 (two) Belarusian Wikipedias: be.wikipedia.org (IANA: be_BY-1959acad, be_BY in glibc) and be-x-old.wikipedia.org (IANA: be_BY-tarask) with quite similar articles count: 24914 (be) vs. 29004 (be-x-old).

2. As for localisation, we have different open- and closed-source software having either one or another language variant translations. F.e. OpenOffice, Mozilla Suite, Firefox, Thunderbird, KDE work with academic language variant (be_BY-1959acad) though GNOME, Gimp, Xfce4 have tarashkevitsa (be_BY-tarask) translation (the latter was forced to use be_BY locale till now because there is no proper place for their contributions). Mediawiki and some other software packages have both language versions translation.

3. As for real life, Belarusian Academy of Science, schools, state publishers and media work in -1959acad version. Though some other popular media work in alternative, -tarask version (mainly: Radio Liberty for Belarus, Radio Racyja, ARCHE, some private publishers).

I don't know about any official statistics on the percentage of usage of each of the variants but I think every Belarusian language user will support that this percentage can vary (80/20 to 20/80 percentage in different spheres with total stats of about 75/25 for -1959acad and -tarask respectively).

You can read a bit more on the roots of two language norm variants existance on: http://en.wikipedia.org/wiki/Taraškievica

So this is not the case of "fringe variations plaguing glibc locale database." :)
Comment 23 Petr Baudis 2012-04-04 15:48:51 UTC
*** Bug 4020 has been marked as a duplicate of this bug. ***
Comment 24 Petr Baudis 2012-04-04 15:49:02 UTC
*** Bug 7014 has been marked as a duplicate of this bug. ***
Comment 25 Hleb Valoshka 2012-12-28 19:11:04 UTC
Hey, guys, how much years do you need more to accept this trivial patch and close at last this annoying bug?